Ubuntu

Numerous applications have focus issues after emerging from a screensaver or suspend

Reported by Eric Appleman on 2009-09-29
982
This bug affects 196 people
Affects Status Importance Assigned to Milestone
Compiz
Fix Released
Medium
Eclipse
Unknown
Unknown
Mozilla Firefox
Invalid
Medium
Nominated for 3.6 by papukaija
Nominated for Trunk by papukaija
kile
Confirmed
Undecided
Unassigned
compiz (Ubuntu)
Low
Unassigned
Declined for Karmic by Sebastien Bacher
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
firefox-3.0 (Ubuntu)
Undecided
Unassigned
Declined for Karmic by Sebastien Bacher
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
firefox-3.5 (Ubuntu)
Medium
Unassigned
Declined for Karmic by Sebastien Bacher
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
firefox (Ubuntu)
Low
Unassigned
Declined for Karmic by Sebastien Bacher
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
indicator-session (Ubuntu)
Undecided
Unassigned
Declined for Karmic by Sebastien Bacher
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.5

For the past few weeks, builds of Firefox 3.5, 3.6, and 3.7 have exhibited a behavior where the autocomplete of the so-called awesome bar will only work sporadically.

There are some times where the autocomplete will not work at all and other times when it will appear for a few milliseconds after typing a letter before disappearing.

I haven't been able to pin-point what causes this, but I have found that restarting the browser resolves the issue until it occurs again.

This doesn't happen very often, but at least a few times each day.

Reproducible: Sometimes
==========
SRU:

This bug affects all users using compiz and Firefox.Patch is taken from the compiz 0.8.8 branch from upstream cgit. Patch has also been port-forwarded to 0.9 branch and is available in latest Natty compiz package.

TestCase:

With current stock Ubuntu compiz packages:
1- When Firefox is open; allow screensaver to kick-in (or resume from suspend) and then start using Firefox
2- Notice Awesome bar does not auto-complete with suggestions(firefox 3.6) and bookmarks menu, context menu are completely unusable(Firefox 4).

Install compiz package from -proposed:
Awesome bar, Context menu, bookmarks menus all work normally

Regression potential:
None ( maybe users notice more awesomeness of Firefox 4?)

==========
SRU packages:
For Ubuntu 10.10 : Maverick-proposed > Compiz 1:0.8.6-0ubuntu9.2
For Ubuntu 10.04 : Lucid-proposed > Compiz 1:0.8.4-0ubuntu15.3

==========
Compiz commit which seems to fix the issue for Firefox:

http://cgit.compiz.org/compiz/core/commit/?id=30a92d8a060d79181a28840d7c66428ef431200c

==========

is this in safe mode? do you have any add-on that could interfere with it?

reporter, please respond to the safe mode question.

Happens in safe mode and even when no add-ons are installed.

Also affects 3.5.3 and 3.7a1.

Also, I can confirm that this happens on a fresh Ubuntu Jaunty or Karmic install.

Binary package hint: firefox-3.5

For the past few weeks, builds of Firefox 3.5, 3.6, and 3.7 have exhibited a behavior where the autocomplete of the so-called awesome bar will only work sporadically.

There are some times where the autocomplete will not work at all and other times when it will appear for a few milliseconds after typing a letter before disappearing.

I haven't been able to pin-point what causes this, but I have found that restarting the browser resolves the issue until it occurs again.

This doesn't happen very often, but at least a few times each day.

Reproducible: Sometimes

ProblemType: Bug
Architecture: i386
CheckboxSubmission: b8398b21075a3a8723b2ba20478c4f9e
CheckboxSystem: 703a6ca1eefae989daaf40c6bb6aa94a
Date: Tue Sep 29 13:34:19 2009
DistroRelease: Ubuntu 9.10
Package: firefox 3.5.3+build1+nobinonly-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.36-genusername
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-11-generic i686

Eric Appleman (erappleman) wrote :
Changed in firefox:
status: Unknown → New

I've also noticed that if I leave my laptop on overnight with the browser open, this bug will occur without fail.

I forgot to mention that my machine doesn't enter hibernation or suspend and this happens both with and without the screensaver being active.

We'll see what upstream has to say...

Changed in firefox-3.5 (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
XeHK (berseeker) wrote :

It seems that i have the same bugю Sometime Address bar not rolled-down, and autocomplete refuses to work. When i rightclick on page and menu appeared, then address bar works perfectly for some time, but this bug returns few times in a day. Noticed this bug after upgrade from Interpid to Jaunty. It appeared in Firefox 3.0 and 3.5

Alan Pater (alan-pater) wrote :

This bug does not affect Firefox 3.5 on Windows. I have seen it on both Ubuntu 9.04 and now on the beta of 9.10.

It usually happens to me when I resume from suspend and have left Firefox running. I then close and re-open Firefox, and the address bar then responds.

Alexander Sack (asac) wrote :

eric, can you try to build xulrunner without system sqlite? ask in channel how to do that ;).

Right-clicking on a webpage seems to fix the autocomplete until it acts up again.
I think this may be a focus issue.

eric, any chance to do do this test? would be great as we dont have much time for release ;)

Eric Appleman (erappleman) wrote :

Right-clicking on a webpage seems to fix the autocomplete until it acts up again.

I think this may be a focus issue.

As for the xulrunner build, I may tackle that tonight.

Alan Pater (alan-pater) wrote :

re: right-clicking

Yeah, that's weird. Right-clicking does two things. It brings up a context menu and it clears the address bar which then changes to "Search Bookmarks and History".

With the address bar working correctly, right clicking does only one thing, it brings up the context menu, it does not clear the address bar.

Manually clearing the contents of the address when it is stuck also restores normal functionality, though a quick right then left click is faster.

RedG (tomas-redgoblin) wrote :

I also have this issue.
It's seems like it happens after I leave firefox running and the screensaver starts.
To "correct" it I just left-click the icon to the left of the address-bar twice, I don't remember the name of that icon, but for launchpad.net it's a white square with the letter lp in it. favicon?? The first click gives me a security message, the second removes that message. Then it works for a while again.

But I while back I turned the screensaver off and only use powermanager - turn off screen after n minutes. Since then I don't know if I ever have had that problem again.

This also happens to me. I have compositing enabled and don't use suspend or hibernate. I do, however, constantly save my sessions. It seems to work fine when I start up the browser and is broken right now. I'll try to keep an eye on it and see if the screensaver is related on my computer. I am running the latest Karmic.

After watching the behavior a bit, it's really starting to feel to me like this is an issue with the popup. I sometimes see a brief flash of the popup with what I believe is the correct autocomplete information. Also sometimes I see no popup, but the cursor changing from the input cursor to the default cursor for a split second. I think the popup is closing as soon as it's opened.

Changed in firefox:
status: New → Confirmed

I also have this issue on jaunty, firefox 3.0.14. Happens randomly, but seems to always happen if I lock the screen with <ctrl>-<alt>-L. Right-clicking does not solve the problem for me, I have to restart the browser.

Is this related to compiz in some way?

This happened again this evening. I left it alone for about 6 hours and have screen blanking enabled. The address bar was working before I left and was broken again when I returned. It looks like it is trying to show up, as I can see the list display for a fraction of a second, but it disappears after that.

Alexander Sack (asac) wrote :

Is this related to compiz in some way?

John Vivirito (gnomefreak) wrote :

i am unable to reproduce this in our daily builds of 3.5 3.6 3.7. I do not use compiz and i do use nvidia-glx-185
nvidiai version:
185.18.36-0ubuntu7

Possibly related to Compiz.

I left my laptop on all night with Compiz disabled and the screensaver didn't trigger the bug this morning.

Possibly related to Compiz.

I left my laptop on all night with Compiz disabled and the screensaver didn't trigger the bug this morning.

Jens Janssen (jayjay) wrote :

Same problem here with radeon-driver & Compiz enabled.

*** Bug 508463 has been marked as a duplicate of this bug. ***

I can confirm this bug as well with Compiz turned off. It is hard to reproduce on command though.

I also hit this bug occasionally; it seems to occur more frequently after I've been away from my machine for a while and had the screensaver kick in. Is there any sort of debug information/output that could be checked? Or anything we could try while in that state that might provide more information?

I'm also having this problem, on 3.5.3.

I have experienced this for quite some time now, I even think it also happened with previous versions of Firefox. This is very frustrating, as there's no way to get the auto completion back without restarting the browser.

cyba (marcus-kempe) wrote :

I've been having this problem in FF 3.0 and now also in 3.5 with the installation of 9.10.

I also use Compiz.

Despite what is said in earlier posts, for me it is possible to get autocomplete back without restarting the browser. If I switch to another program for a while (alt+tab), and then go back to FF, it will work again (randomly).

BlackSir (blacksir) wrote :

I'm often have this bug after backing from a screensaver (both in Jaunty and Karmic). Minimize/maximize FF window always makes awesomebar works again.

just confirming that this also affects the search box, as one might expect.

Alright, so given comment 16 this is likely an AutoComplete bug. Dietrich was seeing something like this today I think too.

Still see the problem in 3.5.4.

Same problem here. Both Jaunty+Karmic with compiz enabled, ATI graphics card. seems to occur mostly (but still feeling random) when I'm away from the computer or unfocused from FF. Happened first in Shiretoko, and then went back to Firefox 3.5 and the same problem reoccurs. doubleclicking the favicon to the left seems to re-enable, or a browser restart.

John Green (john-thegreens) wrote :

This has been happening to me for sometime in both jaunty and karmic so firefox 3 and 3.5. It only happens when coming back to the desktop after the screensaver has been running but then again not every time so I can't make it happen. I can't type in the address bar at all. I type one letter and it is immediately selected so that when you type another it is overwritten. I have compiz running, Nvidia graphics card. 64-bit.If I switch to another desktop (ctrl-alt-right) and back again(ctrl-alt-left) then I can type normally. As I said this has been happening on and off for at least 6 months and though I get the impression it is compiz related I've never seen it happen in any other app than firefox.

gp (gpebug) wrote :

I never seen this happening on OpenSuse 11.1 with KDE. Since I moved to Ubuntu 9.10, I am in the same boat now. Possibly it is related to Ubuntu Firefox Modifications. I can confirm that minimize / maximize the Firefox solves this issue.

George (gapop) wrote :

I have this problem exactly as described in comment #12. It's been happening with 3.0/Ubuntu 9.04, and now with 3.5/Ubuntu 9.10, both on 386 and 64-bit architectures. Both system I've tested with have Intel video adapters (different models).

Michael (mike984) wrote :

I think this bug happens when you change browser.urlbar.clickSelectsAll to true in about:config.

Michael: mine is set to false and I've been having the issue for some time.

shorty (matthias.kurz) wrote :

Michael: my "browser.urlbar.clickSelectsAll" is set to false, never changed it to true and the same thing happens: after the screensaver started and I log back in again after a while the suggestion of the awesome bar does not work.

Hilikus (hilikus) wrote :

shorty, does the suggestion just "not work" (i.e. no suggestions) or it highlights and overwrites what you typed? i want to make sure we're all talking about the same bug here

BlackSir (blacksir) wrote :

Hilikus: I've talked about just "doesn't work" (no suggestions). My browser.urlbar.clickSelectsAll is set to false (this is the default value). It's annoying to minimize/maximize FF windows nearly every time after screensaver.

Hilikus (hilikus) wrote :

ok, so we are talking about different bugs then
what i have is what's described in #40
i.e. when you type a character or two, they get highlighted so the next key you press overwrites what you wrote.
to emulate this bug, start typing an address in the address bar, after two chars press shift+home and then type the third character. that's what happens, except there's no shift+home obviously, THAT is the bug some of us have, i don't know if that's what the OP was reporting.
i do have clickSelectsAll = true btw

i think it would be useful if we identified who has which bug

Hilkus: the bug I'm having isn't as you describe. I can type just fine, it doesn't get overwritten. It simply that the autocomplete suggestions don't pop up. Sometimes as I type I can see them appear for a split second then disappear. I can't confirm this, but I think that gnome or compiz or something else is causing them to be drawn *behind* the Firefox window instead of in the foreground. Alt-TABing to another window then back to firefox fixes which window it thinks is in the foreground hence it works again.

Botond Szász (boteeka) wrote :

This bug report does not cover Hilikus' case. It is about not having an autocompletion list.

What Hilikus describes is another real bug which I also have, but only if I have "browser.urlbar.clickSelectsAll" set to true.

markbeverley (m-rkbev) wrote :

I have experienced both the URL history not appearing bug and the URL highlighting bug. If I set "browser.urlbar.clickSelectsAll" to False I get the former and when set to True I get the latter. Quite annoying.

I'm running Ubuntu 9.10 and Firefox 3.5.6.

Still present in upstream:

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2pre) Gecko/20100109 Ubuntu/10.04 (lucid) Namaroka/3.6pre

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20100109 Ubuntu/10.04 (lucid) Minefield/3.7a1pre

3.6pre and 3.7a1pre from the the UMD ppa are also affected.

ssouthparkk (ssouthparkk) wrote :

Affects me in Karmic, 32 bit.

MOSTLY when I return from the lock screen. I have made it a habit when I leave my computer to always lock my computer, and I can confirm that Firefox does this 100% of the time when returning from the lock screen.

It happens at other times, too, but not nearly as much. I have had it happen without the lock screen a few times only. But locking it is a guaranteed way to trigger the bug, for me, anyway.

Alright, noticed a couple more things about what happens when Firefox gets in this mode:

1) After selecting all of the text in the url bar, mousing out of the window (like moving your mouse over the title bar) will unselect everything in the url bar, much like what would happen if you focused another window.

2) After clearing everything in the address bar, mousing out of the window will show the emptytext ("Search Bookmarks and History"), much like what would happen if you focused something else.

Focusing another window will take Firefox out of this mode.

This problem is really not okay for Ubuntu users.

opening chrome://global/content/console.xul and evaluating "window.focus()" fixes it as well

markbeverley:

I get the exact same results you do.

Some people are saying the bug is not having a dropdown list and others are saying it's a bug with the text highlighting however, it would appear there one bug relating to that setting in about:config rather than two separate bugs.

It's been happening since day 1 of Jaunty and exists in Ubuntu 32, Ubuntu 64 and every version of Firefox I've tried (except it does not appear in the Windows variants). Not sure why this bug is so elusive.

Asking for blocking because this is a pretty bad user experience bug for Ubuntu users, it happens every time I leave the computer for more than a few minutes and not having the awesomebar autocomplete is pretty frustrating after having gotten used to it.

Although it comes back after focusing another window, this is both annoying to have to do every time and not immediately discoverable.

I've narrowed down a way to reproduce this on Ubuntu 9.10:
1. Open a Firefox window.
2. Suspend the computer.
3. Unsuspend it back (note: in my case, I have to unlock the screen).

After this, the address bar autocompletion in the previously open window is broken. A way to fix it is to get keyboard focus elsewhere (I use right-click menu on the gnome panel) and then return it to the location bar.

Similar behavior is observed with Eclipse 3.5. In fact, it's worse there, because keyboard presses cease to have any effect when the buggy state is reached.
In an unrelated Eclipse bug, it's been noted that certain changes made in Gtk+ 2.18 may break applications or widget frameworks that are using Gtk+ in weird undocumented ways which happened to work before.

The problem is seems to be related to the gnome-screensaver. Since I replaced with xscreensaver the issue is fixed for me.

If this is also happening with Eclipse, are we sure it's actually a Firefox box as opposed to an Ubuntu bug?

Please renominate if you can track down a regression range or definitively pin this on us.

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2) Gecko/20100222 Ubuntu/10.04 (lucid) Firefox/3.6

Problem is worse now, previous hack of a few right-clicks anywhere on the active page not longer restores functionality. I've just turned off the screensaver, let's see if that helps...

According to the following comment, this bug has also been reproduced on Arch Linux, which I don't believe has a similar patch lineage to Ubuntu:

https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/428703/comments/19

If other non-ubuntu folks are experiencing this issue, please confirm here to get it documented.

I'm using 32bit Arch Linux and have had this problem for a while (I commented twice already above, but didn't mention my system). I also had this problem with 64bit Arch Linux.

Right now I'm using Gnome, Firefox 3.6, 32bit Arch Linux, 2.6.32 kernel.

summary: - Address bar autocomplete doesn't always work
+ Address bar autocomplete and search bar autocomplete doesn't work after
+ emerging from a screensaver or suspend
summary: - Address bar autocomplete and search bar autocomplete doesn't work after
- emerging from a screensaver or suspend
+ Address bar autocomplete and search bar autocomplete doesn't always work
+ after emerging from a screensaver or suspend

I can confirm this behaviour with FF3.5/Karmic and FF3.6/LucidAlpha3 (both update as of today).

- Awesome bar stops working randomly

Systems I have seen this on are both laptops. LucidA3 with nvidia binary driver, Karmic with Intel. Both use Compiz. None have active screensaver (but power save blanking). None use suspend/ hibernate.

Sigurd Urdahl (sigurdur) wrote :

correction to #66: screensaver is active: uses blank screen.

Sigurd Urdahl (sigurdur) wrote :

Additional testing with my Karmic system indicates that the problem is strongly coupled with screen-saver and Compiz.

5/5 attempts after screen-saver with compiz shows the problem.

The problem disappears when de-activating compiz (tested with two screensaver activations), and re-appears when re-activating.

Uwe Schilling (uschilling) wrote :

I just noticed a very similar problem in thunderbird which I suspect has the same origin. I could not find a bug report so I filed a new one here: https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/539853 . Can anyone with the firefox bug confirm the thunderbird bug, too?

Gabe Gorelick (gabegorelick) wrote :

If the same bug affects Firefox and Thunderbird, then it may be a xulrunner problem.

Mitch Towner (kermiac) wrote :

I am able to reproduce both this bug & bug #539853 in an up-to-date Lucid install.

$ uname -a
Linux mitch-lucid 2.6.32-16-generic #25-Ubuntu SMP Tue Mar 9 16:33:52 UTC 2010 i686 GNU/Linux

$ sudo apt-cache policy thunderbird
thunderbird:
  Installed: 3.0.3+nobinonly-0ubuntu1
  Candidate: 3.0.3+nobinonly-0ubuntu1
  Version table:
 *** 3.0.3+nobinonly-0ubuntu1 0
        500 http://au.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

$ sudo apt-cache policy firefox
firefox:
  Installed: 3.6+nobinonly-0ubuntu6
  Candidate: 3.6+nobinonly-0ubuntu6
  Version table:
 *** 3.6+nobinonly-0ubuntu6 0
        500 http://au.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Laurent Dinclaux (dreadlox) wrote :

It happens with firefox 3.6 too (karmic)

As a workaround, when this occurs, I unfocus firefox window by for example clicking on the desktop. I then go back to firefox and auto-complete works again.

John Vivirito (gnomefreak) wrote :

we no longer use versioning. closing all but the one needed.

Changed in firefox-3.0 (Ubuntu):
status: New → Invalid
Changed in firefox-3.5 (Ubuntu):
status: Triaged → Invalid
John Vivirito (gnomefreak) wrote :

Can someone please decline the nominations since this is not required since Mozilla moved to non-versioning

Changed in firefox (Ubuntu):
status: New → Triaged
John Vivirito (gnomefreak) wrote :

This is sounding like a resume bug from screen saver more so than a Mozilla bug, or there are more than 1 bug in this bug report.
When i say resume i mean after screen saver is deactivated by moving mouse/keys being hit/unlocking

Jeroen Hoek (mail-jeroenhoek) wrote :

As Alan Pater (#63) notes, in Lucid beta this issue is harder to work around than in Karmic due to the right-click and favicon area click trick no longer working. It's also very random, the address bar will start auto-completing again after some time (or some actions, but nothing I can pinpoint).

For me this is the most visible and work-flow interrupting bug in the beta so far.

Another workaround for me is to enable the widget layer.

1. In the CompizConfig Settings Manager filter for "Wiedget Layer" and enable the tool
2. Create some widgets which will show and make not of the "Toggle Widget Display" shortcut - F9 by default
3. Close CompizConfig Settings Manager
4. Wait for the autocomplete to stop working
5. Hit F9 (once or sometimes twice) and autocomplete will start working again

Eric Appleman (erappleman) wrote :

Can we get this bug elevated to papercut status?

Gabe Gorelick (gabegorelick) wrote :

I believe the papercuts for Lucid are done. Round 10, the last one, was targeted to 2010-02-18.

Murat Gunes (mgunes) wrote :

This bug is not suitable for inclusion in the papercuts project, if it continues in Maverick, as it apparently involves a non-trivial fix that needs new code to be written, most likely upstream.

enb (elitenoobboy) wrote :

So in other words, it's too hard to fix so you are not fixing it?

Gabe Gorelick (gabegorelick) wrote :

> So in other words, it's too hard to fix so you are not fixing it?

Allow me to address this. The papercuts project is designed to fix bugs that don't require a lot of work but potentially affect a lot of users. This bug does affect a lot of users, but does not have an easy fix. However, this only means it is not suitable to be worked on through the papercuts project, and not that it won't get fixed at all. In fact, the vast majority of bugs (all besides 100 each release) get fixed outside of the papercuts project, so this bug still has a good chance of getting fixed soon.

enb (elitenoobboy) wrote :

It just seems like its being put off, since its been around since karmic and since there's been no reassurance about it at least being fixed for lucid.

Gabe Gorelick (gabegorelick) wrote :

I understand your frustration, but let me assure you that it's not being "put off." It's just that, since firefox is a highly used program, there are a lot of reported bugs (255 open ones as of this writing). The developers have limited time, so higher priority bugs get handled first. If you want to help the overall bug backlog, you can help triage bugs. See [1] for general help on how to triage.

[1] https://wiki.ubuntu.com/Bugs/HowToTriage/

diego (marcodiegomesquita) wrote :

It really seems compiz related. If I wait for the screensaver to come, it comes and the bug is triggered. To restore normal behavior I switch back and forth to another desktop. That makes the bug go away.

So, it really seems compiz related or, at least, there is an ugly compiz-hack-way to fix it.

Ryan O'Shea (rinoshea) wrote :

I can confirm that this bug can be reproduced on VERY rare occasions with Firefox on Windows 7 64-bit.

I can confirm that, with KWin in Kubuntu 10.04 I have no problems.

On 17.04.2010 23:17, diego wrote:
> It really seems compiz related. If I wait for the screensaver to come,
> it comes and the bug is triggered. To restore normal behavior I switch
> back and forth to another desktop. That makes the bug go away.
>
> So, it really seems compiz related or, at least, there is an ugly
> compiz-hack-way to fix it.
>
>

I can confirm this behavior on Karmic with Firefox 3.6.3 taken from the Ubuntuzilla repository. I have Compiz enabled & NVidia GEforce Go 7900. It is really annoying.

I can also confirm the bug stated in #40. Both really annoying.

computorist (travis-hume) wrote :

Another small point, I'm affected by this bug and I am NOT using an Ubuntu packaged firefox at the moment.

Colin D Bennett (colinb) wrote :

I am glad to have finally found the bug report on this bug! It has been driving me crazy for months. On the other hand, I am very disappointed that this won't be fixed in Lucid. At least I know that bringing up the context menu with a right click on the page will fix it when it does happen so I don't always need to restart the browser.

Same bug here:

Ubuntu 9.10 Desktop 32-bit
Firefox 3.6.3 from http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu/
Compiz and nvidia-190 enabled

Only workaround working for me: minimize then maximize Firefox window (thanks to BlackSir for comment #35).

Me too! Another workaround is to open a new Firefox window (Ctrl+N) after resuming from suspend, optionally closing the previous one with the non-functioning awesomebar. Much faster than restarting the browser, but still a nuisance of course.

Jeremy Bicha (jbicha) wrote :

My workaround is to minimize Firefox and unminimize (which I do by just clicking the program name in the window button list in the bottom panel). The awesomebar works normally then.

Jonathan Crockett (jcrockett) wrote :

I've seen this behavior in the search bar portion (automatically highlighting the text you just typed so your next keystroke deletes it) for several Ubuntu releases. Really annoying as I use that for searches all the time. My workaround has been to use the firefox build from Mozilla. I've only seen this problem in Ubuntu's firefox build so far. I'm currently runing Ubuntu FF 3.6.3 (lucid) on this machine, but my others are running Mozilla FF 3.6.3.

@Jonathan Crockett I believe that's a completely different bug than the one in this bug report. In this report you can type normally, it's just the awesomebar matching results don't pop up at all unless you first alt-tab to another window. With this bug there's no highlighting and no text being deleted.

I believe the bug you have can be rectified by setting browser.urlbar.clickSelectsAll to false

enb (elitenoobboy) wrote :

The but that J Crockett described happens to me at the same time that this bug happens, so they seem to be related.

No awesome bar comes up, no search auto suggest window comes up as you type, instead of when the window would normally come up, all of the text is highlighted. So, if you were typing something obscure into search box that would not normally trigger the suggest window to come up, the text would not be highlighted.

Jonathan Crockett (jcrockett) wrote :

I checked browser.urlbar.clickSelectsAll in my browser and it is already set to false. I commented here, because all the bugs that describe more of my behavior are pointing to this one as a duplicate. Someone seems to be pretty sure that they are different manifestations of the same bug. I see it on a brand new, fresh, Lucid beta-2 x86_64 install with a new user account (< 1 week old). I've not changed any Firefox defaults on that particular machine, and I see this issue.

diego (marcodiegomesquita) wrote :

Guys, take a look at comments #85 and #87. It looks like it is a compiz bug. Anyone can confirm if it does not happen if compiz is not enabled?

I use KWin in Kubuntu 10.04 Beta 2 and I have no problems after
"emerging from a screensaver or suspend".

On 26.04.2010 20:42, diego wrote:
> Guys, take a look at comments #85 and #87. It looks like it is a compiz
> bug. Anyone can confirm if it does not happen if compiz is not enabled?
>
>

I use compiz all the time, so I can't say whether or not it is related to compiz. It is hard to reproduce, as it does not always happen, and it never happens if I try to reproduce it by using preview screensaver in the preferences. It may very well be that it is related to compiz, but at the same time, one person already said that it does not happen when using a FF build directly from mozilla, so it might be a combination of packages that cause this bug to occur.

diego (marcodiegomesquita) wrote :

Comment #50 is interesting. Maybe a combination of FF + Compiz + emerging from an screensaver is making the awesome bar been drawn behind FF window. As a simple fix, we would suggest FF devs to set the awesome bar window as "always on top"; I think that is the simplest way to fix this issue.

Also, it may be focus related. I've just discovered that if the bug is triggered while running kile, then anything I type will not be "received" by kile. If I switch back-and-forth from one desktop to another the bug goes away.

Anyone can confirm this same behavior in kile or anethor kde/qt 4 program?

Compiz is very likely a factor here. Following diego's advice, I switched the window manager to Metacity (using Compiz Fusion Icon), restarted Firefox, checked if the awesomebar was working (it was, no surprise here), suspended, resumed and immediately tried the awesomebar again. It was still working! Then I re-enabled Compiz, went through another suspend-and-resume cycle, and the old behavior (no suggestions coming up) was back.

Another thing that may or may not be relevant here: I have two portable computers, an Atom netbook running i386 Ubuntu and a Core 2 Duo notebook running the amd64 version. My home directories, including Firefox profiles as well as all dot files and directories, are the same on both machines and get synchronized periodically. On the 32-bit netbook I get the awesomebar issue each and every time after suspending with Firefox running, whereas on the 64-bit notebook I have never ever encountered it. That's the current situation with Lucid, and it was the same with Karmic. The two machines have, of course, vastly different hardware, but the selection of manually installed packages is very similiar.

diego (marcodiegomesquita) wrote :

I did a little more investigation. On comment #23 at https://bugzilla.mozilla.org/show_bug.cgi?id=507269 , Mikhail Zabaluev describes the very same problem I have with Kile, but for him, it happens with Eclipse. I dont know which OS Mikhail Zabaluev uses, nor if he is running compiz, but it really looks like a combination of compiz + X.org + sleep and waking + ... + alignment of planets...

It really doesnt seem like a bug that is easy to track. We should start talking to other projects developers/users so that we can pinpoint the problem.

Eric Appleman (erappleman) wrote :

Yeah, this also affects volume applet hotkeys.

You can't use Fn hotkeys to adjust volume until focus is reacquired.

summary: - Address bar autocomplete and search bar autocomplete doesn't always work
- after emerging from a screensaver or suspend
+ Numerous applications have focus issues after emerging from a
+ screensaver or suspend
Omer Akram (om26er) wrote :

not really sure if it is actually related to indicator applet. indicator session might be a bit more related.

affects: indicator-applet (Ubuntu) → indicator-session (Ubuntu)
diego (marcodiegomesquita) wrote :

Among other issues, compiz 0.9 has the following fix: "Windows not being focused in some cases"[0]. Did anyone tested compiz 0.9? Maybe this problem is already fixed.

[0] http://smspillaz.wordpress.com/2010/05/15/bugfixing-and-a-testing/

diego (marcodiegomesquita) wrote :

Will these[0] guys take a look at this bug?

[0] http://fridge.ubuntu.com/node/2049

Celsius (celsius-netbel) wrote :

Ubuntu 9.10 64-bits with compiz here,

I've found another way to trigger that bug than with screensaver or suspend/resume (and yes, I do have the bug with screensaver and suspend/resume ;-) ) :

I've activated the up-right corner in compiz to act as "show desktop".

1. I move my mouse to the up-left corner once --> all windows (including firefox's) move away from the desktop
2. I move my mouse to the up-left corner a second time --> all windows (including firefox's) move back to their original position

If firefox was the window with focus before 1 it has focus again after 2, but the awesome bar doesn't work (no suggestion) (exact same symptom as with suspend/resume and screensaver)

If I change focus to another window and come back to firefox it works again. Minimize+maximize also make it works (same thing when caused by screensaver or suspen resume).

There is also a keyboard shortcut to "show desktop" in compiz (ctrl+alt+D on my laptop), but it does *not* trigger the bug after step 1+2.

Besides, I tried with other compiz-related actions ("scale", "expose" and 2 different "application selector") and found none that would cause the problem.

Hope it helps figuring out what's the reason for this bug :-)

Celsius (celsius-netbel) wrote :

oups, I meant up-right corner in 1 and 2 (though it shouldn't matter)

Changed in indicator-session (Ubuntu):
status: New → Invalid
Changed in firefox (Ubuntu):
importance: Undecided → Low
hantms (han-thomas) wrote :

This still happens for me in Lucid, with Firefox 3.6.6

Not sure what constitutes a low priority bug, but it's been an issue for ages, and it is really annoying. I typically open web pages by typing (part of) the URL, and having to close the browser and opening it again is very annoying.

The other issue where anything typed into either the address bar or the search field gets deleted after 3-4 keystrokes is also VERY annoying.

Together this just makes Firefox feel buggy, having to restart it multiple times a day to either use the address bar or the search box.

Eric Appleman (erappleman) wrote :

You should only need to minimize Firefox, not restart it.

Agreed, it has driven me to use Chromium as my primary browser.

On Sun, Jul 4, 2010 at 9:43 PM, hantms <email address hidden> wrote:

> This still happens for me in Lucid, with Firefox 3.6.6
>
> Not sure what constitutes a low priority bug, but it's been an issue for
> ages, and it is really annoying. I typically open web pages by typing
> (part of) the URL, and having to close the browser and opening it again
> is very annoying.
>
> The other issue where anything typed into either the address bar or the
> search field gets deleted after 3-4 keystrokes is also VERY annoying.
>
> Together this just makes Firefox feel buggy, having to restart it
> multiple times a day to either use the address bar or the search box.
>
> --
> Numerous applications have focus issues after emerging from a screensaver
> or suspend
> https://bugs.launchpad.net/bugs/438868
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Mozilla Firefox Browser: Confirmed
> Status in “compiz” package in Ubuntu: New
> Status in “firefox” package in Ubuntu: Triaged
> Status in “firefox-3.0” package in Ubuntu: Invalid
> Status in “firefox-3.5” package in Ubuntu: Invalid
> Status in “indicator-session” package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: firefox-3.5
>
> For the past few weeks, builds of Firefox 3.5, 3.6, and 3.7 have exhibited
> a behavior where the autocomplete of the so-called awesome bar will only
> work sporadically.
>
> There are some times where the autocomplete will not work at all and other
> times when it will appear for a few milliseconds after typing a letter
> before disappearing.
>
> I haven't been able to pin-point what causes this, but I have found that
> restarting the browser resolves the issue until it occurs again.
>
> This doesn't happen very often, but at least a few times each day.
>
> Reproducible: Sometimes
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: b8398b21075a3a8723b2ba20478c4f9e
> CheckboxSystem: 703a6ca1eefae989daaf40c6bb6aa94a
> Date: Tue Sep 29 13:34:19 2009
> DistroRelease: Ubuntu 9.10
> Package: firefox 3.5.3+build1+nobinonly-0ubuntu3
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-genusername
> SourcePackage: firefox-3.5
> Uname: Linux 2.6.31-11-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/firefox/+bug/438868/+subscribe
>

--
freelance web services
aaron.kavlie.net

papukaija (papukaija) on 2010-07-06
tags: added: metabug
Daniel Dunér (daniel-duner) wrote :

A bug report for the problem where text is selected and overwritten (as discussed in comment #40 and #94) can be found here:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/583122

The overwriting bug also has the symptoms of this bug, so they may be related.

I've started seeing a slightly different behavior with this bug. The awesome bar popup will display very very briefly. Not long enough to read it, but enough for it to blend in with the current background of the page as it attempts to fade in.

That's using Debian 6.0 "Squeeze" x64.

Is it reproducible with Metacity?

(In reply to comment #28)
> Is it reproducible with Metacity?

I should have asked, with something else than Compiz?

Corey Burger (corey.burger) wrote :

I am unable to reproduce this with Metacity on 10.04 UNE

Changed in firefox:
importance: Unknown → Medium

Still happening with Firefox in Maverick as of today.

Uwe Schilling (uschilling) wrote :

to comment #101 & #103: I can confirm that this problem happens in kile, too, as described, kile does not receive any keystrokes anymore, until focus is reacquired.

Will Milton (wa-milton) wrote :

I assumed this was due to some idiosyncrasy in my install because I've kept it alive for a while and I have all kinds of weird stuff installed.

However, my new job hooked me up with another laptop and I did a completely fresh install of 10.04 from the normal live cd and aside from installing xampp, vim, some versioning tools and ubuntu-restricted-extras it has nothing unusual on it. The problem exists there too.

I did not experience this problem before 10.04.

Both laptops are HP, so I thought that might have something to do with it.

I at first assumed that it was due to my older laptop getting hot, but I noted as others have that it is not a problem in Windows.

One of the machines is using the proprietary nvidia driver, the other is using the open source ati driver.

kolen (incredible-angst) wrote :

> I assumed this was due to some idiosyncrasy in my install because I've kept it alive for a while and I have all kinds of weird stuff installed.

I noticed this problem almost right after fresh install of 10.04.
Now after updating to 10.10 the problem continues.

meldroc (meldroc-gmail) wrote :

I'm still experiencing this bug, after upgrading to Maverick. I've found that a simple workaround is to minimize, then restore Firefox when this happens - that causes the awesome bar to work correctly again.

I'm thinking this is actually a Compiz problem - it's likely rendering the Firefox main window in front of the awesome-bar popup, causing the awesome-bar history to not be visible.

It's very annoying. Please fix this ASAP.

kolen (incredible-angst) wrote :

> I've found that a simple workaround is to minimize, then restore Firefox when this happens - that causes the awesome bar to work correctly again.

Alt-tabbing to another window and back to Firefox also works for me.

diego (marcodiegomesquita) wrote :

Does this bug happens with compiz++? Maybe it will be automatically fixed if Ubuntu devs replace compiz with compiz++.

Changed in kile:
status: New → Confirmed
Laurent Dinclaux (dreadlox) wrote :

Third Ubuntu version affected by this bug .... Will it get solved one day ?

Changed in eclipse:
status: New → Confirmed
martin21 (martin-snell) wrote :

This problem has been going for some time now - I have had it appearing in Linux Mint 8, 9 and 10, which have been installed on 2 different machines (Nvidia and ATI graphics). Still exists using Firefox 3.6.12 (Mint version). A click in another window allows autocompletion of the Firefox URL bar when you go back, but it is a pain to have to do this on a regular basis.

(In reply to comment #28)
> Is it reproducible with Metacity?

No, It's not reproducible with Metacity.

In FF4 the problem has worsened, even the bookmarks button does not work properly because of this bug.
[running 4.0~b8~hg20101128r58314+nobinonly-0ubuntu1~umd1~maverick]

When i click the bookmarks button, the menu drops down, (menu items get highlighted but does not receive focus?) And as soon as I move the pointer to (mouse over) a bookmark folder which leads to a submenu the main menu itself disappears and closes.

This has been a recent problem in FF4.
I believe the problem with the buttons and submenu started since update: firefox-4.0 (4.0~b8~hg20101122r57984+nobinonly-0ubuntu1~umd1~maverick) to 4.0~b8~hg20101123r58015+nobinonly-0ubuntu1~umd1~maverick.
But, it took me a while to realize that it is related to this bug.

[A workaround for the button is, switching to another window and back.]

I'll add a "me too" here. I never saw this with FF3, but now with FF4 I'm seeing it every few days (not hours). Certainly annoying. The awesome bar is soooo good that my lazy mind is totally incapable of working without it - it hurts when it doesn't work!

I'm a Fedora13 desktop - no hibernate, but I have compiz and password-protected screensaver. I can't say I've noticed any relationship between screensaver and when the fault hits - it seems to be random to me

Jason

*** Bug 537517 has been marked as a duplicate of this bug. ***

*** Bug 545846 has been marked as a duplicate of this bug. ***

*** Bug 580994 has been marked as a duplicate of this bug. ***

This might be related to bug 604710, although that bug doesn't talk about waking up from screensaver or suspend.

I am 100% seeing this triggering after unlocking the screensaver. I am also running compiz. Note: if I manually lock the screen and immediately unlock it, the fault doesn't happen - so I don't know what the exact trigger is

Moving to a different virtual desktop and back again seems to clear the fault - and awesome becomes awesome again

This is with FF4.0b8 under Fedora13

Hi,

you should lock your screen and then wait for a couple of seconds.

I tried this myself. I you unlock the screen immediately after locking it, nothing happens and the autocompletion works quite fine. But if your are running Compiz on your machine, lock the screen and then wait for a couple of seconds (just count to ten) and after that unlock your screen you will notice that the autocompletion is not working at all. You have to switch to another virtual desktop (and then back to the firefox window) to have it work again.

Interesting is that the screensaver is not of any importance here. If the screensaver is triggered it does not affect the autocompletion. Only if activating the screensaver also locks your desktop, then autocompletion is not working.

(In reply to comment #37)
> you should lock your screen and then wait for a couple of seconds.

FWIW, I can't reproduce on my Ubuntu box, although I do experience bug 604710.

I cannot reproduce with Firefox 3.6 on Fedora 13, whether running compiz or not. I used to see the problem all the time in early Firefox 3.6 builds, but have not seen this bug in months (when not running compiz), nor in the past week (running compiz).

Anyone still getting it with compiz 8.6 / firefox 3.6.13? I have never been able to reproduce this bug systematically but had it quite frequent - without apparent trigger - despite never having used a screensaver.

Now I too haven't seen it for a few months. Might have been gone for a few firefox and/or compiz versions already?

For me this problem only kicked in after going FF4 - I never saw it under FF3.any either

Yep. For now I've got compiz 0.8.6 and FF 3.6.13 on my ubuntu 10.10, and this bug is still reproduces after screensaver. This is quite annoying to live with such bug for more than a year.

I have noticed that the address bar failure often seems linked to another error I've seen -- sub-menus don't work at all. For example, if I pull up the bookmark menu I can select a top level bookmark, but if I try to view a folder the bookmarks menu goes away. Same for the main Firefox 4 menu.

I've been bothered by the two errors (no awesome bar suggestions, no sub-menus) fairly often, but I have not considered checking to see if they are linked until just now.

I'm running Minefield on Ubuntu 10.10, Mozilla/5.0 (X11; Linux x86_64; rv:2.0b9pre) Gecko/20110109 Firefox/4.0b9pre right now, switching to a new version after I finish this reply. I've seen this issue with more than one version, but I don't know when it started.

(In reply to comment #37)

> But if your are
> running Compiz on your machine, lock the screen and then wait for a couple of
> seconds (just count to ten) and after that unlock your screen you will notice
> that the autocompletion is not working at all.

I have Compiz installed. I don't think every ten-second screen lock causes the issue.

> You have to switch to another
> virtual desktop (and then back to the firefox window) to have it work again.

Thank you for this tidbit, I had been restarting Firefox to solve the problem. I tried this right now and it work -- I had non-functioning menus and non-functioning awesome bar and switching desktops fixed both problems.

Sub-menu issues are bug 616833. It would be very interesting if these were related!

I was so focused on experiencing the issue in bug 616833 that I didn't really think about this, but I've also been seeing this as well, so it's not outside the realm of possibility it's related. I also forgot to consider that I tend to put my laptop to sleep/wake it fairly frequently, so that fits.

I don't know if it can help, but when this problem occurs, RSS Live Bookmarks in personal address bar don't work anymore either.

Yariv (nushoin) wrote :

This bug still happens on a clean installation of Ubuntu 10.10, even when updated. Happens both on firefox 3.6 and 4.0b10pre. I use Compiz with the proprietary nVidia driver.

BlackSir (blacksir) wrote :

2Yariv
Same here: clean 10.10 install + proprietary nVidia driver + compiz = bug 438868

Changed in eclipse:
importance: Undecided → Unknown
status: Confirmed → Unknown
Mikhail Zabaluev (mzabaluev) wrote :

I tried to file the bug for Compiz developers, but was not helped by having to choose between three different Bugzilla hosts referred from various places. Thankfully, one does not work, bringing it town to two. The database at bugs.compiz.org has a total of 15 bugs at the moment, and the first of the reports is hardly 2 months old. I guess this is the new official one; I'll resubmit my bug there as well.

As reported in:
https://bugs.launchpad.net/eclipse/+bug/438868
https://bugzilla.mozilla.org/show_bug.cgi?id=507269
https://bugs.eclipse.org/bugs/show_bug.cgi?id=298261

Certain Gtk+-based applications have problems with receiving keystrokes after
the desktop emerges from screensaver or a suspend. Accordingly to at least some
reports, the problems are endemic to Compiz.

Some more observations:
* The problems seem to appear in and after Ubuntu 9.10 (Karmic Koala) which has
updated Gtk+ to 2.18.
* Gecko and Eclipse both use Gtk+ in intimate ways, adapting it to their own
toolkits.

Changed in compiz:
importance: Unknown → Medium
status: Unknown → Confirmed

I just came out of suspend and noticed that, in addition to not getting any awesomebar suggestions, right-clicking in a Gmail plain text message textbox didn't produce a context menu. Perhaps this isn't related to the location bar.

Moving out of toolkit/autocomplete, since this appears to be a larger problem.

Any idea how hard this is to fix? Could this be a Firefox 4 blocker?

When this happens, users are going to think Firefox is totally broken. If I didn't know the work-around I would have looked at switching to another browser.

I'm not sure if this helps, but when I see this I can see the blue focus ring on the address bar when my mouse is over Firefox, but when I move my cursor up to the GNOME panel at the top of my screen where my Application/Places/System menus are I can see the focus ring move to one of the shortcuts I have on that panel.

I do not have window focus set to follow the cursor.

*** Bug 533211 has been marked as a duplicate of this bug. ***

*** Bug 633514 has been marked as a duplicate of this bug. ***

Since this is a regression finding exactly what caused it to regress might help in fixing it.

Eric Appleman (erappleman) wrote :

I'm still a bit confused about which application is at fault for this bug.

Is it Compiz?

On Tue, 2011-03-08 at 03:59 +0000, Eric Appleman wrote:
> I'm still a bit confused about which application is at fault for this
> bug.
>
> Is it Compiz?
>

I dont think so, this bug has been around for a long time before any
compiz update and it has gotten worse with Firefox4.

But we already have an open compiz task, maybe they have some useful
insight as to why this happens..

Jonas (jonas-f-henriksen) wrote :

This bug is a total showstopper for inexperienced users of ubuntu. Many inexperienced users get ubuntu installed by friends or relatives, only for having a computer to use on the web. So for them, when the web-browser is not working, it means the system is not working. My girlfriend says she cant access her bank, but it turned out it was this bug blocking it (Ubuntu 10.10).

I think it's amazing that canonical is not taking this issue more seriously, and believe this bug should be marked with High importance,

regards Jonas

This bug affects Totem in Ubuntu and Debian Squeeze- after the screensaver has appeared, full screen menus disappear when hovered over, rather than appearing as they should.

At least one other person has the same problem because they filed a bug for it:

https://bugs.launchpad.net/ubuntu/+source/totem/+bug/517207

The bug also affects Firefox 4 with all menus disappearing when hovered over. I have observed this in Debian Squeeze, and it's also happening on Ubuntu.

http://forums.debian.net/viewtopic.php?f=6&t=61909&p=360592#p360592

http://ubuntuforums.org/showthread.php?t=1708311&page=2

In both Totem and Firefox, disabling Compiz fixes the problem.

Vaphell (vaphell) wrote :

in firefox 4 the problem is more severe than in earlier versions - adress bar, live bookmarks, menus, opened comboboxes (and probably few other things i don't know about yet) are all affected.
agreed with #158 - things like that should be a top priority, especially in a distro for human beings. Stock configuration of browser and desktop effects, a bit of inactivity and you have thousands of your users completely dumbfounded wtf just happened and why that crappy linux can't just work. This is the kind of polish ubuntu was supposed to be about, wasn't it?
That particular bug lived through what, at least 3 different releases? and i won't be surprised to see it in natty again. The only hope is that firefox 4 being much more affected (not just missing suggestions in address bar) will piss off many more users and in return it will force some action.

Simon Butcher (sbutcher) wrote :

I experience this sporadically in Lucid, when resuming from overnight or lunchtime screensaver and firefox is already in focus.
However, I haven't been able to reproduce this in gnome classic with compiz+firefox on Natty alpha so far (tried screensaver and suspend) [As far as I understand, compiz 0.9.x is a complete re-write so some existing bugs may not feature in 0.9.x]

Scott Norris (scottie-z) wrote :

Couple of comments:

First, for me this always coincides with text in text-entry boxes "auto-highlighting" itself, so that subsequent keypresses erase what I have already typed.

Second, when experiencing this bug, not only does the awesome bar fail to auto-complete; it also often drops letters if I type too fast.

Third, I can always fix the problem by pressing 'alt-Tab' twice.

Fourth, I frequently (but not always) find that when I alt-Tab, the Update Manager has popped under my firefox session.

Fifth, this also happens with less frequency to LyX. Except in LyX, I can't enter any text anywhere until I alt-Tab twice.

Maarten Kossen (mpkossen) wrote :

Everything seems normal now on the lastest natty (as of March 29) with
Compiz 0.9.4.0.

On 03/29/2011 04:10 AM, Scott Norris wrote:
> Couple of comments:
>
> First, for me this always coincides with text in text-entry boxes "auto-
> highlighting" itself, so that subsequent keypresses erase what I have
> already typed.
>
> Second, when experiencing this bug, not only does the awesome bar fail
> to auto-complete; it also often drops letters if I type too fast.
>
> Third, I can always fix the problem by pressing 'alt-Tab' twice.
>
> Fourth, I frequently (but not always) find that when I alt-Tab, the
> Update Manager has popped under my firefox session.
>
> Fifth, this also happens with less frequency to LyX. Except in LyX, I
> can't enter any text anywhere until I alt-Tab twice.
>

Changed in firefox:
status: Confirmed → Invalid
Vish (vish) wrote :

FIrefox Upstream closed the bug as "not theirs", And mention that this bug is compiz related to a fix in compiz 0.8.8.
Maverick has compiz 0.8.6 . We could either try to get 0.8.8 or atleast backport : http://cgit.compiz.org/compiz/core/commit/?id=30a92d8a060d79181a28840d7c66428ef431200c to 0.8.6

The patch seems quite small and should be good for an SRU.. any takers? :-)

Changed in compiz (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in firefox (Ubuntu):
status: Triaged → Invalid
Vish (vish) on 2011-03-31
description: updated
Vish (vish) on 2011-03-31
Changed in firefox-3.0 (Ubuntu Lucid):
status: New → Invalid
Changed in firefox-3.5 (Ubuntu Maverick):
status: New → Invalid
Changed in firefox-3.5 (Ubuntu Lucid):
status: New → Invalid
Changed in firefox-3.0 (Ubuntu Maverick):
status: New → Invalid
Changed in firefox (Ubuntu Lucid):
status: New → Invalid
Changed in firefox (Ubuntu Maverick):
status: New → Invalid
Changed in indicator-session (Ubuntu Lucid):
status: New → Invalid
Changed in indicator-session (Ubuntu Maverick):
status: New → Invalid
Vish (vish) wrote :

Fix landed first in 0.8.8 , which was forward ported to 0.9 and is Fixed in Natty as per comments 163 and 161.

We need to get an SRU[1] for this for Maverick 0.8.6 and Lucid 0.8.4

[1]: https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

Changed in compiz (Ubuntu):
status: Triaged → Fix Released
Changed in compiz (Ubuntu Lucid):
status: New → Triaged
Changed in compiz (Ubuntu Maverick):
status: New → Triaged
Chris Coulson (chrisccoulson) wrote :

I would appreciate getting this fixed in lucid and maverick. This affects Firefox 4 really really badly (not just the awesomebar, but bookmarks menu and context menu are completely unusable after returning from the screensaver), which is affecting everyone using the firefox-stable PPA (and will affect all users when we roll out a newer firefox version to lucid and maverick too).

Is anyone planning to prepare the lucid/maverick SRU's? If not, then I'll pick that up.

Changed in compiz (Ubuntu Lucid):
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in compiz (Ubuntu Maverick):
assignee: nobody → Chris Coulson (chrisccoulson)

Karl - thanks for the link, that fixes it for me too. I'll make sure Ubuntu users get this next week :)

Vish (vish) wrote :
description: updated
Vish (vish) wrote :

Chris, could you sponsor the upload to archive?

Bob (bbrazie) wrote :

Ubuntu 10.10 with a fire fox 4.0 install today. Installed via:
sudo add-apt-repository ppa:mozillateam/firefox-stable
sudo apt-get update && sudo apt-get upgrade

When Firefox is running for a while the drop down boxes (file, edit, history etc.) do not work as they should. The new Bookmarks button and the Firefox tap area do the same thing. When one is clicked and I try to slide down to pick something the whole thing suddenly vanishes! This works just fine when the program is opened but over time the function is not there.
I also noticed that when typing this reply the spell checker marked a word to check. When I tried to choose the correct spelling the same thing happened. The drop down box vanished.
I renamed mozilla in my home folder to mozillaold and then opened Firefox 4 again.
It did not solve the problem. I just noticed that when typing this reply the spell checker marked a word to check. When I tried to choose the correct spelling the same thing happened. The drop down box vanished.

If I have another instance of FF open and switch between the two the drop down boxes act as they should.

It doesn't matter weather the laptop goes to sleep or not I have found.

If I minimize FF to the lower panel and then maximize it form the panel then drop down boxes in FF act as they should.

If I leave FF in the background with another application in front with the focus on it I can switch back to FF and the drop down boxes work as they should.

I have also noticed that the menu drop down for bookmarks does not show folder icons just a blank space before the folder name. The other single bookmarks have an icon before the name.

If I turn on the bookmarks sidebar the folder icons show there.

Thanks, Bob.

Chris Coulson (chrisccoulson) wrote :

Note, the version number in the lucid upload needs changing to -0ubuntu15.2.

In any case, I can't upload these (they both just got rejected)

Changed in compiz (Ubuntu Lucid):
assignee: Chris Coulson (chrisccoulson) → nobody
Changed in compiz (Ubuntu Maverick):
assignee: Chris Coulson (chrisccoulson) → nobody
Paul Sladen (sladen) on 2011-04-04
Changed in compiz (Ubuntu Lucid):
milestone: none → lucid-updates
Changed in compiz (Ubuntu Maverick):
milestone: none → maverick-updates
Paul Sladen (sladen) wrote :

Thanks Chris and Vish for testing this. I've also run the proposed backport of:

http://cgit.compiz.org/compiz/core/commit/?id=30a92d8a060d79181a28840d7c66428ef431200c

Sam Spilsbury who is happy with the patch and so on that basis I'm prepared to re-sign Chris' upload attempt on that basis.

Appears to have been fixed by:

  "Don't grant focus to override_redirect windows.
  http://cgit.compiz.org/compiz/core/commit/?id=30a92d8a060d79181a28840d7c66428ef431200c

  Most other window managers don't even track override_redirect windows, so applications relying on the focus being granted to override_redirect windows are broken anyway."

Bob (bbrazie) wrote :

Will this fix be available through the regular Ubuntu update manager?

Thanks in advance. Bob.

Paul Sladen (sladen) wrote :

Conflicts with various cancelled SRUs and newer packages:

  https://launchpad.net/ubuntu/+source/compiz/1:0.8.4-0ubuntu15.1 (lucid)
  https://launchpad.net/ubuntu/+source/compiz/1:0.8.4-0ubuntu15.2 (lucid)
  https://launchpad.net/ubuntu/+source/compiz/1:0.8.4-0ubuntu16 (maverick)

Per pitti's advice, I've pushed as '1:0.8.4-0ubuntu15.3'. Please check carefully if there are any regressions.

Bob: this is being uploaded to '-proposed', which you will have to have enabled specifically. When/if people confirm that the update works, it can be migrated from '-proposed' to '-updates' which will them be pushed out to most people.

Clint Byrum (clint-fewbar) wrote :

APPROVED: the package version 1:0.8.6-0ubuntu9.2 should be accepted into maverick-proposed.

Clint Byrum (clint-fewbar) wrote :

APPROVED: the package version 1:0.8.4-0ubuntu15.3 uploaded to the lucid-proposed queue should be accepted.

Note that the package does revert a previous -proposed upload (1:0.8.4-0ubuntu15.2) from bug #572780 , but that has been removed from SRU consideration and is now marked Won't Fix.

Bryce Harrington (bryce) wrote :

[It looks like all the sponsoring tasks have been tended to here, so I'll go ahead and unsub sponsors at this time.]

Accepted compiz into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in compiz (Ubuntu Maverick):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in compiz (Ubuntu Lucid):
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

Accepted compiz into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in compiz:
status: Confirmed → Fix Released
XeHK (berseeker) wrote :

Thank gods! They've made it! Thanks to all! It works now!

Chris Coulson (chrisccoulson) wrote :

@XeHK - awesome! Which release are you using though?

XeHK (berseeker) wrote :

@Chris Coulson, I'm using Maverick. See the link that Martin Pitt gave to enable Proposed update, or just wait for Natty, it will work there from the box.

Chris Coulson (chrisccoulson) wrote :

Thanks! I've also got a confirmation on Lucid here too

tags: added: verification-done
removed: verification-needed
Bob (bbrazie) wrote :

Will this fix be available through the regular Ubuntu update manager? Or will we need to wait for 11.04?

Thanks in advance. Bob.

SimonWerner (simonwerner) wrote :

It works here too on Lucid. Thanks for the effort, it's been a long time.

Corey B. (cbodendein) wrote :

The compiz fix in proposed works for me too on Lucid using Firefox 4 from the mozillateam ppa.

Bob (bbrazie) wrote :

What is the name(s) of the package that shows in the list of proposed in the window of update manager in Ubuntu 10.10?

Vish (vish) wrote :

@Bob:
For Ubuntu 10.10 : Maverick-proposed > Compiz 1:0.8.6-0ubuntu9.2
For Ubuntu 10.04 : Lucid-proposed > Compiz 1:0.8.4-0ubuntu15.3

description: updated
Bob (bbrazie) wrote :

Thank you. Thank you all!

Bob.

Bob (bbrazie) wrote :

In the proposed list I do not find a file to install named (Compiz 1:0.8.6-0ubuntu9.2) for my Ubuntu 10.10 machine.

Thank you.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.8.4-0ubuntu15.3

---------------
compiz (1:0.8.4-0ubuntu15.3) lucid-proposed; urgency=low

  * Upstream patch, 438868_Dont-grant-override_redirect-windows-focus,
    from 0.8.8 branch; (LP: #438868)
 -- K Vishnoo Charan Reddy <email address hidden> Sat, 02 Apr 2011 21:34:58 +0530

Changed in compiz (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.8.6-0ubuntu9.2

---------------
compiz (1:0.8.6-0ubuntu9.2) maverick-proposed; urgency=low

  * Upstream patch, 438868_Dont-grant-override_redirect-windows-focus,
    from 0.8.8 branch; (LP: #438868)
 -- K Vishnoo Charan Reddy <email address hidden> Sat, 02 Apr 2011 21:34:58 +0530

Changed in compiz (Ubuntu Maverick):
status: Fix Committed → Fix Released

I have compiz - 1:0.8.4-0ubuntu15.3 already, but the problem still exist.

On 12/04/11 13:20, Launchpad Bug Tracker wrote:
> This bug was fixed in the package compiz - 1:0.8.4-0ubuntu15.3
>
> ---------------
> compiz (1:0.8.4-0ubuntu15.3) lucid-proposed; urgency=low
>
> * Upstream patch, 438868_Dont-grant-override_redirect-windows-focus,
> from 0.8.8 branch; (LP: #438868)
> -- K Vishnoo Charan Reddy<email address hidden> Sat, 02 Apr 2011 21:34:58 +0530
>
> ** Changed in: compiz (Ubuntu Lucid)
> Status: Fix Committed => Fix Released
>
> ** Changed in: compiz (Ubuntu Maverick)
> Status: Fix Committed => Fix Released
>

Vark (vark) wrote :

I found this through searching - as I have a site that uses a lot of dropdowns and right-click menus - and they all fail in Firefox4 after a screensaver (in my case simple blanking) runs. This patch does not fix this issue for me.

Ubuntu 10.10
Firefox 4 (from PPA)

It does appear that tabbing away from FF4 and back again does seem to resolve it for me, as suggested above.

Paul Swartz (paulswartz) wrote :

compiz 1:0.8.6-0ubuntu9.2 (maverick) now has a broken click-to-raise for me. Clicking on Google Chrome (with or without the system titlebars) no longer raises it above other windows. Downgrading to 1:0.8.6-0ubuntu9.1 resolves the issue, so the patch causes an additional issue for me.

You should report this as a separate bug.

Chris Coulson (chrisccoulson) wrote :

Has anyone noticed this seems to have regressed again in Natty? Unless it's just my machine...

enb (elitenoobboy) wrote :

"Has anyone noticed this seems to have regressed again in Natty? Unless it's just my machine..."

Natty uses a newer version of compiz (.9 something) that isn't affected by this. The bug you are experiencing is probably unrelated to this one.

Chris Coulson (chrisccoulson) wrote :

"Natty uses a newer version of compiz (.9 something) that isn't affected by this"

Hmmm, I know that already. It isn't affected because it has the same patch we just deployed to Lucid and Maverick. However, this has started happening again in Natty, so I'm not sure you can say it's unrelated to this one.

I noticed it too on Natty. After a screen-lock, the address bar in some "new tab" windows do not receive keyboard focus (I have focus-follow-mouse, but even clicking on the address is not useful).

Is quite difficult to reproduce, but it's easier if you have various firefox windows (each with several tab) in different viewports. Doing a bit of iconize-hide-unmaximize and viewport switching usually triggers the problem.

I noticed this only recently. Maybe a firefox-5 update regression?

SRoesgen (s-roesgen) wrote :

Yep,

noticed the return of the problems, too. Firefox 5.0 very often loses keyboard focus if I have more than one Firefox window opened (no matter how many tabs I opened within the windows).

Interestingly, the problems are now more grave than before. When I lose the keyboard focus, the old tricks do not work anymore. When I change to another virtual desktop/workspace and then change back to the one on which I have opened the window the problem still exists and I still have no focus.

Btw.: I noticed a second before that I do not only lose the keyboard focus, but also I cannot click on any flash video (like, for instance, those on youtube). There is no reaction to mouseclicks.

There are only two possible workaround to regain keyboard focus (or a correctly working Firefox Window ):

1) Close Firefox completely and then reopen the windows. So I let sessionmanger handle this and I have to hope that all windows, on which I had been working, will open correctly.

2) The second solution is somewhat strange. I can open a new Firefox window, in addition to those which I have already opened. This new window will -- certainly -- get the keyboard focus. But then I can change to the original Firefox window which displayed the focus issues and there the keyboard focus works again as well.

It should be said that in all cases I recently encountered I lost the focus in ONE of the Firefox windows not in all of them. So I was able to type into window A (no matter in which tab is was working) but somehow Firefox windows B lost its keyboard focus and later one it won't regain the focus.

diego (marcodiegomesquita) wrote :

SRoesgen (s-roesgen) , can you check if it is related to flash? I remember having many focus issues if firefox was displaying a flash animation.

sommerkom (sommerkom) wrote :

I can confirm this bug on 11.10 with unity, firefox 8. It occurs rather frequently, playing around with window focus temporarily fixes the problem until it reappears some time later. I don't need to suspend or turn on the screen saver to have this bug occur.

I suffered from this bug on Maverick, however, it disappeared for a couple of days after I updated to Oneiric. Now it's there again, not sure what triggered it. I can also confirm that it often starts with the URL drop down box flickering for a fraction of a second before vanishing altogether. Auto-complete within the browser is also affected. I wonder if I caused this bug by changing some settings in CSSM since nobody has reported anything here for Oneiric.

Simon Marlow (simonmar) wrote :

Yes, still happening with 11.10. I'm in the habit of Alt-Tabbing twice after resuming from suspend now.

I don't think this is related to flash - I have flashblock installed and rarely use flash.

Maarten Kossen (mpkossen) wrote :

Indeed, still happening. Could this be a compiz bug once more?

sommerkom (sommerkom) wrote :

Could somebody please reopen this bug? It's obviously not fixed in 11.10 and it does affect the user experience. For me, the focus issues do not only occur after resuming from suspend/hibernate but also after switching back from other applications. In addition, accessing the dash via super key doesn't work reliably in firefox, presumably due to the same bug.

Matthew Paul Thomas (mpt) wrote :

Please make a new bug report with precise steps to reproduce the problem.

I'm using Debian Squeeze and I have encountered this bug too. When Firefox is focused and after I re-login to gnome (after the minimum allowed idle time has passed) the autocomplete of address bar doesn't work. I have to minimize and then maximize Firefox to make the autocomplete work.

diego (marcodiegomesquita) wrote :

Could no longer reproduce it in 12.04. I'd say it is fixed.

EA (mceric) wrote :

Still happens in Ubuntu 12.04 (and 11.04) for me, triggered whenever I window-shade for example Thunderbird or Firefox. Minimizing and restoring the window helps. According to other messages here, screensaver and thus standby also always triggers it. I also confirm that focusing another window for a moment helps.

The symptom of the bug is that in Firefox URL autocompletion, the list of suggestions immediately vanishes when it is about to show up and that all sorts of menus vanish at the moment when I try to move the mouse over them. For example I click on FILE, a menu shows up, I move the mouse to the menu, it vanishes. VERY frustrating. Sometimes using hotkeys helps, but by far not everything works without mouse. According to this bug discussion, the problem might be the Z window stacking of compiz messing up and getting fixed by being reset using the minimize-restore or focus-something-else workarounds.

This might also be related to: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/968332

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.